org.apache.maven.scm.provider.git.gitexe.command.remoteinfo

## Class GitRemoteInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remoteinfo.AbstractRemoteInfoCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.remoteinfo.GitRemoteInfoCommand

All Implemented Interfaces:
  Command, GitCommand

    public class GitRemoteInfoCommand
    extends AbstractRemoteInfoCommand
    implements GitCommand

Author:
  Bertrand Paquet

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitRemoteInfoCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(GitScmProviderRepository repository)`
`RemoteInfoScmResult` `executeRemoteInfoCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.remoteinfo.AbstractRemoteInfoCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitRemoteInfoCommand

    public GitRemoteInfoCommand()

### Method Detail

#### executeRemoteInfoCommand

    public RemoteInfoScmResult executeRemoteInfoCommand(ScmProviderRepository repository,
                                                        ScmFileSet fileSet,
                                                        CommandParameters parameters)
                                                 throws ScmException

Specified by:
  `executeRemoteInfoCommand` in class `AbstractRemoteInfoCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(GitScmProviderRepository repository)